#define testname spec-has-obsolete-macroses

Name: repocop-unittest-altlinux-java
Version: 0.05
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: repocop package checks for conformance with Java Packaging Policy.
Group: Development/Other
License: GPL or Artistic
#Url: 
Source: %name-%version.tar

Requires: repocop

%description
set of ALTLinux-specific intergration tests for repocop test platform.
The tests checks packages for conformance with Java Packaging Policy.

%prep
%setup

%build

%install
for i in *.done; do
    testname=`echo $i | sed -e s,.done\$,,`
    install -pD -m 755 $testname.done %buildroot%_datadir/repocop/pkgtests/$testname/done
done

install -d -m 755 %buildroot%_datadir/repocop/fixscripts/
install -m 644 *.pl %buildroot%_datadir/repocop/fixscripts/

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/*
%_datadir/repocop/fixscripts/*

%changelog
* Sat Dec 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- added altlinux-java-obsolete-java4.done

* Sat Nov 29 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- added altlinux-java-not-buildrequires-rpm-build-java test

* Mon Aug 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- fixes in duplicate jar test

* Fri Aug 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- added altlinux-java-duplicate-jars test

* Tue Aug 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- First build for Sisyphus.
